Bug 170137 - Mozilla crashes with a segmentation fault when entering forms
Mozilla crashes with a segmentation fault when entering forms
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-07 13:29 EDT by Robin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 12:37:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A text file from strace for multiple crashes. (17.67 KB, text/plain)
2005-10-07 13:32 EDT, Robin
no flags Details

  None (edit)
Description Robin 2005-10-07 13:29:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
While entering data on a couple of different forums, mozilla seg faults with no messages.  I cannot get mozilla-debuginfo installed at this time so I did a strace and recreated the crash.

The crash seems to happen everytime I try to enter data onto the site while the graphics are still loading.  I click on the data entry box and start typing.  In some cases no problem but at other times it crashes on the first letter.  If I wait for the page to finish loading, Mozilla won't crash.

This exact problem occured in Firefox as well.  One of the reasons that I changed to Mozilla.

I will work on getting mozilla-debuginfo installed and see what it tells me.


Version-Release number of selected component (if applicable):
mozilla-1.7.12-1.5.1

How reproducible:
Always

Steps to Reproduce:
1.  Open Mozilla
2.  Go to a forum site like http://www.canadian-tv.com/forums/
3.  Login as normal
4.  Try to reply to a post without waiting for the page to totally load.
5.  Watch mozilla crash.  

Actual Results:  Mozilla would just exit.  Closing mail or anything else that was associated to the session.

Expected Results:  Enter data and continue to work with Mozilla.

Additional info:

I will attach a TXT file from strace with multiple crashes from the last two days in it.
Comment 1 Robin 2005-10-07 13:32:33 EDT
Created attachment 119717 [details]
A text file from strace for multiple crashes.

This file is copies from multiple crashes.  It is only the last 50 to 100 lines
of strace output.  I hope I went far enough back to be of help.
Comment 2 Robin 2005-10-11 13:36:27 EDT
Since installing mozilla-debuginfo I cannot get mozilla to crash by repeating
the same things that did it before.  I will keep trying to recreate the problem.
Comment 3 Robin 2005-10-19 12:55:49 EDT
Well, my hopes of an easy fix were dashed today.  I have had multiple crashes
and seg faults over the last 30 minutes.

What I noticed was that the screen draw seems halted as I start to type and that
is when the crash occurs.  Also today, a couple of times, as I started to type,
the window would go blank and all of the info that was drawn on the screen just
disappeared.

strace of the latest seg fault.

gettimeofday({1129738430, 646731}, NULL) = 0
write(5, "\372", 1)                     = 1
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=3, events=POLLIN}, {fd=9, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN}, {fd=17, events=POLLIN|POLLPRI},
{fd=18, events=POLLIN|POLLPRI}, {fd=19, events=POLLIN|POLLPRI}, {fd=4,
events=POLLIN, revents=POLLIN}], 8, 0) = 1
gettimeofday({1129738430, 647418}, NULL) = 0
gettimeofday({1129738430, 654894}, NULL) = 0
gettimeofday({1129738430, 655040}, NULL) = 0
gettimeofday({1129738430, 655254}, NULL) = 0
gettimeofday({1129738430, 655424}, NULL) = 0
gettimeofday({1129738430, 655566}, NULL) = 0
gettimeofday({1129738430, 655711}, NULL) = 0
gettimeofday({1129738430, 656239}, NULL) = 0
gettimeofday({1129738430, 656409}, NULL) = 0
gettimeofday({1129738430, 656611}, NULL) = 0
gettimeofday({1129738430, 656652}, NULL) = 0
gettimeofday({1129738430, 656696}, NULL) = 0
gettimeofday({1129738430, 656749}, NULL) = 0
gettimeofday({1129738430, 656915}, NULL) = 0
gettimeofday({1129738430, 656976}, NULL) = 0
gettimeofday({1129738430, 657023}, NULL) = 0
gettimeofday({1129738430, 657074}, NULL) = 0
gettimeofday({1129738430, 657136}, NULL) = 0
gettimeofday({1129738430, 657179}, NULL) = 0
gettimeofday({1129738430, 657279}, NULL) = 0
gettimeofday({1129738430, 657434}, NULL) = 0
gettimeofday({1129738430, 657475}, NULL) = 0
gettimeofday({1129738430, 657517}, NULL) = 0
gettimeofday({1129738430, 657566}, NULL) = 0
gettimeofday({1129738430, 657666}, NULL) = 0
gettimeofday({1129738430, 657723}, NULL) = 0
gettimeofday({1129738430, 660161}, NULL) = 0
write(5, "\372", 1)                     = 1
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=3, events=POLLIN}, {fd=9, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN}, {fd=17, events=POLLIN|POLLPRI},
{fd=18, events=POLLIN|POLLPRI}, {fd=19, events=POLLIN|POLLPRI}, {fd=4,
events=POLLIN, revents=POLLIN}], 8, 0) = 1
gettimeofday({1129738430, 660553}, NULL) = 0
gettimeofday({1129738430, 664094}, NULL) = 0
gettimeofday({1129738430, 667308}, NULL) = 0
gettimeofday({1129738430, 667457}, NULL) = 0
gettimeofday({1129738430, 667721}, NULL) = 0
gettimeofday({1129738430, 667863}, NULL) = 0
gettimeofday({1129738430, 667912}, NULL) = 0
gettimeofday({1129738430, 668056}, NULL) = 0
gettimeofday({1129738430, 668248}, NULL) = 0
gettimeofday({1129738430, 668291}, NULL) = 0
gettimeofday({1129738430, 668335}, NULL) = 0
gettimeofday({1129738430, 668389}, NULL) = 0
gettimeofday({1129738430, 668534}, NULL) = 0
gettimeofday({1129738430, 668595}, NULL) = 0
gettimeofday({1129738430, 668643}, NULL) = 0
gettimeofday({1129738430, 668695}, NULL) = 0
gettimeofday({1129738430, 668740}, NULL) = 0
gettimeofday({1129738430, 671542}, NULL) = 0
write(5, "\372", 1)                     = 1
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=3, events=POLLIN}, {fd=9, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN}, {fd=17, events=POLLIN|POLLPRI},
{fd=18, events=POLLIN|POLLPRI}, {fd=19, events=POLLIN|POLLPRI}, {fd=4,
events=POLLIN, revents=POLLIN}], 8, 0) = 1
gettimeofday({1129738430, 672347}, NULL) = 0
gettimeofday({1129738430, 675063}, NULL) = 0
gettimeofday({1129738430, 675544}, NULL) = 0
gettimeofday({1129738430, 675676}, NULL) = 0
gettimeofday({1129738430, 675829}, NULL) = 0
gettimeofday({1129738430, 675976}, NULL) = 0
gettimeofday({1129738430, 678741}, NULL) = 0
gettimeofday({1129738430, 679050}, NULL) = 0
write(5, "\372", 1)                     = 1
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=3, events=POLLIN}, {fd=9, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN}, {fd=17, events=POLLIN|POLLPRI},
{fd=18, events=POLLIN|POLLPRI}, {fd=19, events=POLLIN|POLLPRI}, {fd=4,
events=POLLIN, revents=POLLIN}], 8, 0) = 1
gettimeofday({1129738430, 679782}, NULL) = 0
gettimeofday({1129738430, 679847}, NULL) = 0
gettimeofday({1129738430, 679904}, NULL) = 0
gettimeofday({1129738430, 679948}, NULL) = 0
gettimeofday({1129738430, 680093}, NULL) = 0
gettimeofday({1129738430, 680300}, NULL) = 0
gettimeofday({1129738430, 680342}, NULL) = 0
gettimeofday({1129738430, 680385}, NULL) = 0
gettimeofday({1129738430, 680438}, NULL) = 0
gettimeofday({1129738430, 680578}, NULL) = 0
gettimeofday({1129738430, 680636}, NULL) = 0
gettimeofday({1129738430, 680683}, NULL) = 0
gettimeofday({1129738430, 680734}, NULL) = 0
gettimeofday({1129738430, 681297}, NULL) = 0
gettimeofday({1129738430, 681459}, NULL) = 0
gettimeofday({1129738430, 681651}, NULL) = 0
gettimeofday({1129738430, 681693}, NULL) = 0
gettimeofday({1129738430, 681737}, NULL) = 0
gettimeofday({1129738430, 681892}, NULL) = 0
gettimeofday({1129738430, 682020}, NULL) = 0
gettimeofday({1129738430, 682080}, NULL) = 0
gettimeofday({1129738430, 682128}, NULL) = 0
gettimeofday({1129738430, 682180}, NULL) = 0
gettimeofday({1129738430, 682224}, NULL) = 0
gettimeofday({1129738430, 682334}, NULL) = 0
gettimeofday({1129738430, 682495}, NULL) = 0
gettimeofday({1129738430, 682536}, NULL) = 0
gettimeofday({1129738430, 682579}, NULL) = 0
gettimeofday({1129738430, 682627}, NULL) = 0
gettimeofday({1129738430, 682724}, NULL) = 0
gettimeofday({1129738430, 684889}, NULL) = 0
write(5, "\372", 1)                     = 1
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=3, events=POLLIN}, {fd=9, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN}, {fd=17, events=POLLIN|POLLPRI},
{fd=18, events=POLLIN|POLLPRI}, {fd=19, events=POLLIN|POLLPRI}, {fd=4,
events=POLLIN, revents=POLLIN}], 8, 0) = 1
gettimeofday({1129738430, 685415}, NULL) = 0
gettimeofday({1129738430, 685481}, NULL) = 0
gettimeofday({1129738430, 685538}, NULL) = 0
gettimeofday({1129738430, 685613}, NULL) = 0
gettimeofday({1129738430, 685658}, NULL) = 0
gettimeofday({1129738430, 689420}, NULL) = 0
write(5, "\372", 1)                     = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\2\37-\252\6\336\266\0H\0\0\0=\0 \2\0\0\0\0\224\2}\2\220"..., 32) = 32
poll([{fd=3, events=POLLIN}, {fd=9, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN}, {fd=17, events=POLLIN|POLLPRI},
{fd=18, events=POLLIN|POLLPRI}, {fd=19, events=POLLIN|POLLPRI}], 7, 0) = 0
gettimeofday({1129738430, 690470}, NULL) = 0
futex(0x9b87820, FUTEX_WAKE, 1)         = 0
futex(0x9b8781c, FUTEX_WAKE, 1)         = 1
gettimeofday({1129738430, 693716}, NULL) = 0
gettimeofday({1129738430, 696235}, NULL) = 0
gettimeofday({1129738430, 701363}, NULL) = 0
gettimeofday({1129738430, 701516}, NULL) = 0
gettimeofday({1129738430, 702333}, NULL) = 0
gettimeofday({1129738430, 704284}, NULL) = 0
gettimeofday({1129738430, 704980}, NULL) = 0
gettimeofday({1129738430, 705120}, NULL) = 0
futex(0x9b87820, FUTEX_WAKE, 1)         = 1
futex(0x9b8781c, FUTEX_WAKE, 1)         = 1
gettimeofday({1129738430, 712145}, NULL) = 0
gettimeofday({1129738430, 712279}, NULL) = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
unlink("/home/rlaing/.mozilla/default/5mh6bef5.slt/lock") = 0
rt_sigaction(SIGSEGV, {SIG_DFL}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [SEGV], NULL, 8) = 0
tgkill(31469, 31469, SIGSEGV)           = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
Process 31469 detached
Comment 4 Christian Iseli 2007-01-19 19:47:31 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 Robin 2007-01-22 12:37:53 EST
Mozilla is close to end of life as well.  This can be closed.  I have moved to
Firefox anyways.

This is a Wont Fix.

Note You need to log in before you can comment on or make changes to this bug.